BizKitHub
DocsAPI ReferenceTeam Chat/bff/team-chat/meeting-create
postTeam ChatAdmin BFF

/bff/team-chat/meeting-create

Schedule a meeting in a conversation (card, 5-minute reminder, join = room call)

Team chatpostBffTeam-chatMeeting-create

Parameters

JSON body

Request body

application/json
roomIdstringRequired

24-char room id.

Length: 24–24
titlestringRequired
Length: 1–200
descriptionstring | nullOptional
One of 2:
Variant 1
string
Length: 0–4000
Variant 2
null
startAtstringRequired

ISO date-time; at most 5 minutes in the past, a year ahead.

durationMinutesstring | integerRequired
One of 2:
Variant 1
stringinteger
Default: 0
Variant 2
integer
Range: 5–480

Response schema

1 status code documented

200Success
idstringRequired
roomIdstringRequired
titlestringRequired
descriptionstring | nullRequired
One of 2:
Variant 1
string
Variant 2
null
startDatestringRequired
endDatestringRequired
createdByUserIdstringRequired
cancelledbooleanRequired

Response example

application/json
{
  "id": "example_id",
  "roomId": "example_roomId",
  "title": "example_title",
  "startDate": "example_startDate",
  "endDate": "example_endDate",
  "createdByUserId": "example_createdByUserId",
  "cancelled": false
}

Request example

POST /bff/team-chat/meeting-create

post
curl -X POST "https://api.bizkithub.com/bff/team-chat/meeting-create" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "roomId": "example_roomId",
  "title": "example_title",
  "startAt": "example_startAt"
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key